Get My Mutual-Aid Activity
curl --request GET \
--url https://api.thefaithapp.com/v1/mutual-aid-activity \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-activity"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"activity": {
"posts": [
{
"id": 731,
"uuid": "9d693cc6-a354-4f7f-b656-070b7ab48d2e",
"kind": "need",
"category": "one_time_transport",
"specialized_details": {},
"title": "Ride to Sunday service",
"details": "Looking for a ride from the northern side of town this Sunday morning.",
"visibility": "church",
"branch": null,
"community_group": null,
"outreach_campaign": null,
"approximate_location": "Northern Kampala",
"author": {
"id": 308,
"name": "Jordan A."
},
"is_owner": true,
"show_author_name": true,
"urgency": "normal",
"contact_preference": "in_app",
"status": "open",
"pause_reason": null,
"response_count": 1,
"published_at": "2026-07-18T09:30:00.000000Z",
"expires_at": "2026-07-21T09:30:00.000000Z",
"closed_at": null,
"review_note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"responses": [
{
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null
}
],
"audits": [
{
"id": 1001,
"action": "created",
"from_status": null,
"to_status": "open",
"reason": null,
"metadata": null,
"actor": null,
"created_at": "2026-07-18T09:30:00.000000Z"
}
]
}
],
"responses": [
{
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null,
"post": {
"id": 744,
"title": "Help moving chairs",
"kind": "need",
"category": "practical_help",
"status": "open"
}
}
]
}
}
}Mutual Aid
Get My Mutual-Aid Activity
Returns mutual-aid posts created by the member and responses submitted by the member.
GET
/
v1
/
mutual-aid-activity
Get My Mutual-Aid Activity
curl --request GET \
--url https://api.thefaithapp.com/v1/mutual-aid-activity \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-activity"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"activity": {
"posts": [
{
"id": 731,
"uuid": "9d693cc6-a354-4f7f-b656-070b7ab48d2e",
"kind": "need",
"category": "one_time_transport",
"specialized_details": {},
"title": "Ride to Sunday service",
"details": "Looking for a ride from the northern side of town this Sunday morning.",
"visibility": "church",
"branch": null,
"community_group": null,
"outreach_campaign": null,
"approximate_location": "Northern Kampala",
"author": {
"id": 308,
"name": "Jordan A."
},
"is_owner": true,
"show_author_name": true,
"urgency": "normal",
"contact_preference": "in_app",
"status": "open",
"pause_reason": null,
"response_count": 1,
"published_at": "2026-07-18T09:30:00.000000Z",
"expires_at": "2026-07-21T09:30:00.000000Z",
"closed_at": null,
"review_note": null,
"created_at": "2026-07-18T09:30:00.000000Z",
"updated_at": "2026-07-18T09:30:00.000000Z",
"responses": [
{
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null
}
],
"audits": [
{
"id": 1001,
"action": "created",
"from_status": null,
"to_status": "open",
"reason": null,
"metadata": null,
"actor": null,
"created_at": "2026-07-18T09:30:00.000000Z"
}
]
}
],
"responses": [
{
"id": 902,
"post_id": 731,
"responder": {
"id": 415,
"name": "Casey M."
},
"private_message": "I can help with transport. Please message me in the app.",
"status": "pending",
"chat_channel_id": null,
"responded_at": "2026-07-18T10:15:00.000000Z",
"decided_at": null,
"completed_at": null,
"post": {
"id": 744,
"title": "Help moving chairs",
"kind": "need",
"category": "practical_help",
"status": "open"
}
}
]
}
}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Was this page helpful?
⌘I